Package org.eclipse.ecf.core.util

## Class BundleClassResolver

- java.lang.Object
- - org.eclipse.ecf.core.util.BundleClassResolver

All Implemented Interfaces:
  `IClassResolver`

    public class BundleClassResolver
    extends Object
    implements IClassResolver

Since:
  3.7

### Field Summary

### Fields inherited from interface org.eclipse.ecf.core.util.IClassResolver

`BUNDLE_PROP_NAME`

### Constructor Summary

Constructors
`BundleClassResolver​(Bundle b)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<?>` `resolveClass​(ObjectStreamClass desc)`
`protected void` `verifyClass​(ObjectStreamClass desc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BundleClassResolver

    public BundleClassResolver​(Bundle b)

### Method Detail

#### verifyClass

    protected void verifyClass​(ObjectStreamClass desc)
                        throws ClassNotFoundException

Throws:
  `ClassNotFoundException`

#### resolveClass

    public Class<?> resolveClass​(ObjectStreamClass desc)
                          throws ClassNotFoundException

Specified by:
  `resolveClass` in interface `IClassResolver`
Throws:
  `ClassNotFoundException`